com.holonplatform.datastore.jdbc.composer

## Interface SQLDialectContext

- All Superinterfaces:
    com.holonplatform.core.ExpressionResolver.ExpressionResolverSupport

      public interface SQLDialectContext
      extends com.holonplatform.core.ExpressionResolver.ExpressionResolverSupport

  Context which can be used for `SQLDialect` initialization.
  Since:
    5.1.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<ConnectionHandler>` | `getConnectionProvider()` Get the JDBC connection provider, if available.
    `Optional<DatabaseMetaData>` | `getDatabaseMetaData()` Get the database metadata information, if available.
    `default Optional<DatabaseMetaData>` | `getOrRetrieveDatabaseMetaData()` Get the database metadata information, using `getDatabaseMetaData()` if available or try to obtain it from a JDBC connection if a `ConnectionHandler` is available.
    `SQLValueDeserializer` | `getValueDeserializer()` Get the `SQLValueDeserializer` if this context.
    `SQLValueSerializer` | `getValueSerializer()` Get the `SQLValueSerializer` if this context.

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver.ExpressionResolverSupport

      `addExpressionResolver, addExpressionResolvers, removeExpressionResolver`

- - ### Method Detail

    - #### getValueSerializer

          SQLValueSerializer getValueSerializer()

      Get the `SQLValueSerializer` if this context.
      Returns:
        The `SQLValueSerializer`

    - #### getValueDeserializer

          SQLValueDeserializer getValueDeserializer()

      Get the `SQLValueDeserializer` if this context.
      Returns:
        the `SQLValueDeserializer`

    - #### getDatabaseMetaData

          Optional<DatabaseMetaData> getDatabaseMetaData()

      Get the database metadata information, if available.
      Returns:
        Optional database metadata information

    - #### getConnectionProvider

          Optional<ConnectionHandler> getConnectionProvider()

      Get the JDBC connection provider, if available.
      Returns:
        Optional the JDBC connection provider

    - #### getOrRetrieveDatabaseMetaData

          default Optional<DatabaseMetaData> getOrRetrieveDatabaseMetaData()

      Get the database metadata information, using `getDatabaseMetaData()` if available or try to obtain it from a JDBC connection if a `ConnectionHandler` is available.
      Returns:
        Optional database metadata information

Copyright © 2019 The Holon Platform. All rights reserved.